package de.szut.webshop.supplier;

import org.springframework.stereotype.Service;

@Service
public class SupplierService {

    private final SupplierRepository supplierRepository;

    public SupplierService(SupplierRepository supplierRepository) {
        this.supplierRepository = supplierRepository;
    }

    public SupplierEntity getSupplier(Long id) {
        return supplierRepository.findById(id).orElseThrow();
    }

    public void createSupplier(SupplierEntity supplier) {
        supplierRepository.save(supplier);
    }

    public SupplierEntity updateSupplier(Long id, SupplierEntity supplier) {
        SupplierEntity supplierToUpdate = supplierRepository.findById(id).orElseThrow();

        supplierToUpdate.setName(supplier.getName());

        return supplierRepository.save(supplierToUpdate);
    }

    public void deleteSupplier(Long id) {
        supplierRepository.deleteById(id);
    }

    public Iterable<SupplierEntity> getSuppliers() {
        return supplierRepository.findAll();
    }
}
